#include <stdio.h>
#include "defines.h"

int FileAdd(FILE *ofp,unchar *fname,unchar *wbuff,size_t wsize)
/* 汎用ファイル連結: ofp<-fname */
/* wbuff : readバッファー , wsize : バッファーサイズ */
{
FILE *fp;
size_t sz;
int ret=0;
	if ((fp=fopen(fname,"rb"))==NULL) return(1);
	do {
		sz=fread(wbuff,1,wsize,fp);
		if (sz==0) break;
		if (fwrite(wbuff,sz,1,ofp)==0) {
			ret=2;
			break;
		}
	} while (sz<=wsize);
	if (ferror(fp)) ret=3;
	fclose(fp);
	return(ret);
}
